Subject: Re: bug#1291: 23.0.60; 1) resize-mini-windows: customizable, 2) if grow mini, grow Completions

From: Chong Yidong <[email-masked]>
Date: Mon, 03 Nov 2008 14:34:48 -0500

> > So the only solution I can think of is to convey some information to
> > shrink_window_lowest_first, with the help of a buffer-local
> > variable, telling that a window showing that buffer should not be
> > resized if it is possible to resize another window instead.
>
> Again, I can't speak much to the implementation - I don't see the big
> picture, no doubt. But my suggestion would be, again, not to try to
> deal with this particular minor bug by changing general things. I
> would think that the code that grows the minbuffer could just check
> whether completion is in progress and *Completions* is displayed, and
> if so grow *Completions* by the same amount (modulo some limits).

We might be able to revisit this after the release.  The current
(tentative) plan is to introduce some kind of "window grouping" feature,
which will be needed for CEDET/ECB.  It's possible that window groups
can also be used to handle situations like this.